<?php

/**psr-4 */
require_once "vendor/autoload.php";

use App\Libreria\Conexion;
use App\Models\Usuario;

new Conexion();

$isvalidado = true;
if (isset($_POST['editar_perfil']) and !empty($_POST['editar_perfil'])) {
    if (empty($_POST['nombre'])) {
        $_SESSION['message_error'] = "El campo nombre no puede estar vacio";
        header("Location: " . $_SERVER["HTTP_REFERER"]);
        die();
    }
    if (empty($_POST['cargo'])){
        $_SESSION['message_error'] = "El campo cargo no puede estar vacio";
        header("Location: " . $_SERVER["HTTP_REFERER"]);
        die();
    }
    if (empty($_POST['nick'])){
        $_SESSION['message_error'] = "El campo usuario no puede estar vacio";
        header("Location: " . $_SERVER["HTTP_REFERER"]);
        die();
    }else{
        $isvalidado = true;
    }


    if ($isvalidado) {
        $usuario = Usuario::find($_POST['id']);
        $usuario->nombre = strtoupper($_POST['nombre']);
        $usuario->cargo = strtoupper($_POST['cargo']);
        $usuario->nick = strtoupper($_POST['nick']);
        $usuario->save();
    
        $_SESSION['message_success'] = 'Se actualizo correctamente el nombre de usuario';
    }
}

if (!empty($_POST['new_password'])) {
    $usuario = Usuario::find($_POST['id']);

    if (!empty($_POST['new_password']) and !empty($_POST['new_password_repeat'])) {
        if ($_POST['new_password'] == $_POST['new_password_repeat']) {
            $usuario->password = password_hash($_POST['new_password'], PASSWORD_DEFAULT);
            $usuario->save();
            $_SESSION['message_success'] = 'Se cambio de contraseña';
        } else {
            $_SESSION['message_error'] = 'las contraseña no coincide';
        }
    } else {
        $_SESSION['message_error'] = 'debe ingresar sus dos contraseñas';
    }
}

header("Location: " . $_SERVER["HTTP_REFERER"]);
